STRUCT TEMP(3)

NAME
boost::date_time::parse_match_result

SYNOPSIS

// In header: <boost/date_time/string_parse_tree.hpp>
template<typename charT>
struct parse_match_result {
  // types
  typedef std::basic_string< charT > string_type;
  enum PARSE_STATE { PARSE_ERROR =  -1 };
  // construct/copy/destruct
  parse_match_result();
  // public member functions
  string_type remaining() const;
  charT last_char() const;
  bool has_remaining() const;
  string_type cache;
  unsigned short match_depth;
  short current_match;
};

DESCRIPTION

  parse_match_result public construct/copy/destruct

    1.

    parse_match_result();

  parse_match_result public member functions

    1.

    string_type remaining() const;

    2.

    charT last_char() const;

    3.

    bool has_remaining() const;

    Returns true if more characters were parsed than was necessary. Should be used in conjunction with last_char() to get the remaining character.